View Issue Details

IDProjectCategoryView StatusLast Update
0012045ScribusCanvaspublic2019-11-05 09:49
ReporterFirasH Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionopen 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target Version1.5.5Fixed in Version 
Summary0012045: Flipped Frames don't resize/behave as expected (+ in groups)
DescriptionResizing flipped Frames does not work as expected from Canvas. It's reproducible with all of the Frames which can be flipped horizontally and vertically.
Steps To Reproduce1) Create a new document
2) Insert a Text/Image/Render Frame or a Polygon/Arc/Spiral
3) From "Properties" > "X,Y,Z" flip the item horizontally or vertically (or both)
4) Try to resize the item from Canvas
Additional InformationThis issue brings out other 2 problems which are:
1) If the Item flipped horizontally is a default Arc, resizing its width/height will position the Arc partially out of the Frame limits (Probably this problem affects Polygons and similar items).
Removing and reapplying the flip will place the item as it should.


2) If the item flipped is an Image Frame, moving the image inside of the Frame will show a "blue selection" which does not correspond to the image position.

Scribus SVN 18799 - Qt 5.2.0
Tags#screen[shot|cast] needed, flip, resize
PatchNo

Relationships

related to 0014043 closedfschmid Ungrouping with flipped objects, objects are not positioned correctly 
child of 0003812 acknowledged Metabug: Grouped objects 

Activities

jghali

2014-04-25 18:59

administrator   ~0031812

Fixed image frame editing.

jghali

2014-04-27 17:26

administrator   ~0031826

Last edited: 2015-12-24 13:45

View 2 revisions

Behavior when resizing arcs and basic item types has been fixed. Still issues with flipped items embedded inside groups.

Kunda

2015-12-24 13:43

manager   ~0037986

Last edited: 2016-05-14 19:52

View 3 revisions

jghali committed r19088 first part: fix image frame editing when frame is flipped horizontally or vertically

ghali committed r19096 flipped Frames don't resize/behave as expected : simple frames now behave as expected, still issues to fix on flipped item inside groups

jghali

2019-11-05 09:48

administrator   ~0046970

Last edited: 2019-11-05 09:49

View 2 revisions

I have committed some more improvement related to this issue in r23318, r23320 and r23321. Moving and resizing items inside groups works now better, at least as long as the group itself is not flipped horizontally of vertically. When group is flipped, at this point the selection of embedded items is still broken, not even to mention the moving and resizing of embedded elements.

Issue History

Date Modified Username Field Change
2014-02-06 16:57 FirasH New Issue
2014-02-06 20:04 christoph_s Status new => confirmed
2014-04-25 18:45 jghali Assigned To => jghali
2014-04-25 18:45 jghali Status confirmed => assigned
2014-04-25 18:59 jghali Note Added: 0031812
2014-04-27 17:26 jghali Note Added: 0031826
2015-12-24 13:43 Kunda Note Added: 0037986
2015-12-24 13:45 Kunda Patch => No
2015-12-24 13:45 Kunda Summary Flipped Frames don't resize/behave as expected => Flipped Frames don't resize/behave as expected (+ in groups)
2015-12-24 13:45 Kunda Note Edited: 0031826 View Revisions
2015-12-24 13:46 Kunda Note Edited: 0037986 View Revisions
2015-12-24 13:46 Kunda Target Version => 1.5.2
2016-01-23 17:15 cbradney Target Version 1.5.2 => 1.5.4.svn
2016-03-31 16:50 Kunda Tag Attached: resize
2016-05-11 03:47 Kunda Relationship added related to 0014043
2016-05-11 03:47 Kunda Tag Attached: flip
2016-05-11 03:48 Kunda Relationship added child of 0003812
2016-05-11 03:48 Kunda Tag Attached: #screen[shot|cast] needed
2016-05-14 19:52 Kunda Note Edited: 0037986 View Revisions
2016-05-14 19:52 Kunda Additional Information Updated View Revisions
2018-04-30 13:17 jghali Target Version 1.5.4.svn => 1.5.5
2019-11-05 09:48 jghali Note Added: 0046970
2019-11-05 09:49 jghali Note Edited: 0046970 View Revisions